<div class="card">
    <div class="card-header bg-navy color-palette">
      <div class="row">
        <div class="col-md-5">
          <div class="input-group input-group-sm">
            <label class="col-sm-3 col-form-label">Mostrar </label>
            <div class="input-group-append">
              <select [(ngModel)]="this.apiresponse.optionselection" (change)="selection()" class="form-control form-control-sm">
                <option *ngFor="let c of this.apiresponse.pagination.selectregistre">
                    {{c}}
                  </option>
            </select>
            </div>
            <label class=" col-sm-4 col-form-label">registros</label>
          </div>
        </div>
        <div class="col-md-4">
          <h5>Anunciante Grupos</h5>
        </div>
        <div class="col-md-3">
            <div class="input-group input-group-sm">
              <input type="text" name="table_search" class="form-control float-right" placeholder="Buscar">
              <div class="input-group-append">
                <button type="submit" class="btn btn-default"><i class="fas fa-search"></i></button>
              </div>
            </div>
        </div>
      </div>
    </div>
    <!-- /.card-header -->
    <div class="card-body table-responsive p-0">
      <table class="table table-bordered table-striped table-sm text-nowrap">
        <thead>
          <tr>
            <th class="text-center">Id</th>
            <th class="text-center">Nombre</th>
            <th class="text-center">Estatus</th>
            <th class="text-center">Editar</th>
            <th class="text-center">Eliminar</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let list of this.apiresponse.lts">
            <td class="text-center">{{list.id}}</td>
            <td class="text-center">{{list.nombre}}</td>
            <td class="text-center">{{list.visible}}</td>
            <td class="text-center">
                <i class="far fa-edit fa-lg text-info" (click)="update(list)" style="cursor: pointer;"></i>
            </td>
            <td class="text-center">
                <i class="fa fa-trash fa-lg text-danger" (click)="delete(list.id)" style="cursor: pointer;"></i>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <!-- /.card-body -->
    <div class="card-footer bg-light">
      <div class="row">
          <div class="col-md-8">
            <span class="h6">Mostrando registros del {{ this.apiresponse.pagination.countregistre*this.apiresponse.pagination.page-this.apiresponse.pagination.countregistre+1 }} al {{ this.apiresponse.pagination.countpage }} de un total de {{this.apiresponse.pagination.totalcount}} registros</span>
          </div>
          <div class="col-md-4">
              <ngb-pagination class="pagination pagination-sm"  [collectionSize]="this.apiresponse.pagination.totalcount" [pageSize]="this.apiresponse.pagination.countregistre" [(page)]="this.apiresponse.pagination.page"
              [maxSize]="this.apiresponse.pagination.totalpage" (pageChange)="loadPage($event)"></ngb-pagination>
          </div>
      </div>
  </div>
    <!-- /.card-body -->
  </div>
  <!-- /.card -->

